#!/usr/bin/env zsh

config="analysis/config.yaml"
release=cmake-build-release
out_dir=../hists/

mkdir -p $out_dir

tmux new-window -n  'Run' "htop"

run () {
    tmux split-window -h "./$release/tracking_eff -c $config \
                              source-file-key=${1} \
                              output-file=$out_dir/${1}.root"
    sleep 1
}

run extra-narrow-window-t3
run narrow-window-t3
# run wide-window
run extra-wide-window-t3
# run old-seeding

tmux select-layout even-vertical
